Debian Bug report logs - #646130
parted versions lags behind

version graph

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Carl Fürstenberg <carl@excito.com>

Date: Fri, 21 Oct 2011 16:00:05 UTC

Severity: normal

Merged with 665465, 719275, 720214

Found in version parted/2.3-8

Fix blocked by 696123: partman-base: need progress wrapper for non-libparted-based filesystem operations

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#646130; Package parted. (Fri, 21 Oct 2011 16:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carl Fürstenberg <carl@excito.com>:
New Bug report received and forwarded. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Fri, 21 Oct 2011 16:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carl Fürstenberg <carl@excito.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Petr Uzel <petr.uzel@suse.cz>
Subject: parted versions lags behind
Date: Fri, 21 Oct 2011 17:52:06 +0200
Package: parted
Version: 2.3-8

Current parted in Debian is one and a half years old by now; 2.4 was
released 18:th May this year, and 3.0 was released 30:th May this year.
I hopefully assume a lot of 3TB issues are solved in later releases that
might still be present in 2.3
Regards,

Carl Fürstenberg





Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#646130; Package parted. (Fri, 21 Oct 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Fri, 21 Oct 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Carl Fürstenberg <carl@excito.com>, 646130@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, Petr Uzel <petr.uzel@suse.cz>
Subject: Re: Bug#646130: parted versions lags behind
Date: Fri, 21 Oct 2011 17:34:19 +0100
On Fri, Oct 21, 2011 at 05:52:06PM +0200, Carl Fürstenberg wrote:
> Current parted in Debian is one and a half years old by now; 2.4 was
> released 18:th May this year, and 3.0 was released 30:th May this year.
> I hopefully assume a lot of 3TB issues are solved in later releases that
> might still be present in 2.3

While this is true, there's a bunch of stuff we need to rewrite in the
Debian installer before it's safe to upgrade parted.  I've started work
on a tool to let us wrap progress bars around non-parted-based
filesystem tools - which, frankly, we've needed for ages anyway, but it
becomes critical with parted 3.0 - but I haven't got very far yet.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#646130; Package parted. (Fri, 21 Oct 2011 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Fri, 21 Oct 2011 16:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#646130; Package parted. (Fri, 02 Mar 2012 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carl Fürstenberg <azatoth@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-boot@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Fri, 02 Mar 2012 19:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 646130@bugs.debian.org (full text, mbox):

From: Carl Fürstenberg <azatoth@gmail.com>
To: Debian Bug Tracking System <646130@bugs.debian.org>
Subject: parted: New upstream version
Date: Fri, 02 Mar 2012 20:54:41 +0100
Package: parted
Version: 2.3-8
Followup-For: Bug #646130

parted 3.1 has been released today, and I would be really grateful if
this stalemate could be resolved.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages parted depends on:
ii  libblkid1           2.20.1-3   
ii  libc6               2.13-26    
ii  libdevmapper1.02.1  2:1.02.67-2
ii  libncurses5         5.9-4      
ii  libparted0debian1   2.3-8      
ii  libreadline6        6.2-8      
ii  libuuid1            2.20.1-3   

parted recommends no packages.

Versions of packages parted suggests:
pn  parted-doc  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#646130; Package parted. (Wed, 09 May 2012 21:30:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maik Zumstrull <maik@zumstrull.net>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Wed, 09 May 2012 21:30:19 GMT) Full text and rfc822 format available.

Message #25 received at 646130@bugs.debian.org (full text, mbox):

From: Maik Zumstrull <maik@zumstrull.net>
To: 646130@bugs.debian.org
Subject: parted staleness
Date: Wed, 9 May 2012 23:19:15 +0200
How about creating a separate parted3 package, if parted 2.x will be
needed by d-i for the foreseeable future?




Merged 646130 665465 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 08 Jun 2012 00:00:42 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646130: 696123 Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 00:18:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646130: 698433 Request was from Colin Watson <cjwatson@ubuntu.com> to submit@bugs.debian.org. (Fri, 18 Jan 2013 13:57:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Carl Fürstenberg <carl@excito.com>' from 'Carl Fürstenberg <carl@excito.com>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:29:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#646130; Package parted. (Thu, 27 Jun 2013 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Thu, 27 Jun 2013 19:00:04 GMT) Full text and rfc822 format available.

Message #38 received at 646130@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 646130@bugs.debian.org
Subject: Re: parted versions lags behind
Date: Thu, 27 Jun 2013 20:57:49 +0200
[Message part 1 (text/plain, inline)]
Anything new here... this issue is quite long standing,... and newer
parted versions seem to bring important features/fixes needed when using
using BIOS/GPT setups.


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Removed blocking bug(s) of 646130: 698433 Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Thu, 12 Sep 2013 12:06:05 GMT) Full text and rfc822 format available.

Merged 646130 665465 719275 720214 Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Mon, 10 Feb 2014 20:15:15 GMT) Full text and rfc822 format available.

Merged 646130 665465 719275 720214 Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Mon, 10 Feb 2014 20:57:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:54:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.